Summary: A bootloader which can be started from the SRM console.
Name: aboot
%define aboot_version 0.9b
Version: %{aboot_version}
Release: 1mdk
ExclusiveArch: alpha
License: GPL
Group: System/Kernel and hardware
URL: http://www.sf.net/projects/aboot
Source: aboot-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Patch0: aboot-0.7-cnf-config-file.patch.bz2
Patch1: aboot-0.7a-optflags.patch.bz2
Requires: common-licenses
BuildRequires: kernel-source

%description
The aboot program is the preferred way of booting Linux when using SRM
firmware (the firmware normally used to boot an DEC UNIX). Aboot supports
the creation of bootable block devices and contains a program which can
load Linux kernels from a filesystem which is bootable by SRM.  Aboot
also supports direct booting from various filesystems (ext2, ISO9660,
UFS), booting of executable object files (ELF and ECOFF), booting of
compressed kernels, network booting (using bootp), partition tables in
DEC UNIX format, and interactive booting and default configurations for
SRM consoles that cannot pass long option strings.

If you are installing Mandrake Linux on an Alpha, you'll need to install
the aboot package.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make MDK_OPT_FLAGS="$RPM_OPT_FLAGS" kversion=`uname -r`

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
chmod go= $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
%makeinstall root=$RPM_BUILD_ROOT bindir=$RPM_BUILD_ROOT/sbin
cp -p sdisklabel/swriteboot.8 tools/e2writeboot.8 $RPM_BUILD_ROOT%{_mandir}/man8

mv -f sdisklabel/README sdisklabel/README-sdisklabel || true

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc INSTALL README ChangeLog TODO aboot.conf sdisklabel/README-sdisklabel
%attr(644, root, root) /boot/bootlx
/sbin/abootconf
/sbin/e2writeboot
/sbin/isomarkboot
/sbin/swriteboot
%{_mandir}/man*/*

%changelog
* Tue Feb 11 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9b-1mdk
- uploading Geoff's changes
- Thu Feb 06 2003 Geoffrey Lee <glee@gnupilgrims.org> 0.9b-1mdk
- Work around duplicate file name in source tree for doc.
- Bump source version.

* Thu Dec 26 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9a-1mdk
- 0.9a
- Copyright --> License

* Tue Jul 02 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9-1mdk
- uploading on belalf of Snailtalk (he made it happen)
- New aboot for the Alpha.
- Remove Patch0 (upstream).
- Remove Jeff's patch (upstream).

* Thu May 24 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.7a-4mdk
- BuildRequires: kernel-source (for include/asm-generic)
- use RPM_OPT_FLAGS when building tools

* Wed Dec 13 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.7a-3mdk
- merge changes from Stefan
- more Documentation
- fix group in spec file
- correct license line in spec file

* Wed Dec 13 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.7a-2mdk
- fix build

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7a-1mdk
- 0.7a.
- Fix url.

* Mon May 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7-1mdk
- Spec-helper clean-up.
- 0.7.

* Thu Feb 17 2000 Pixel <pixel@mandrakesoft.com>
- patch initrd support patch (remove press key for dvaX)
- looks for both /etc/aboot.conf and /etc/aboot.cnf (silly iso9660 restriction)	
	
* Thu Jan 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5-16mdk
- Add patch to support initrd (suse).
- Fix descriptions.
- Bzip2 sources.

* Tue Jan 11 2000 Pixel <pixel@mandrakesoft.com>
- mandrake adaptation

* Tue Nov 30 1999 Matt Wilson <msw@redhat.com>
- changed to use ext2 patch based from Ruediger Oertel <ro@suse.de>

* Mon Nov 22 1999 Matt Wilson <msw@redhat.com>
- patched ext2 read code to deal with rev1 filesystems
- added a patch to properly guess IDE cdroms
  (well, sort of)

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- add patch to allow it to boot on *large* disks

* Mon Apr 26 1999 Cristian Gafton <gafton@redhat.com>
- patch from Jay Estabrook to make it work with EXT2 filesystems larger
  than 2Gb

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Tue Jan 19 1999 Erik Troan <ewt@redhat.com>
- built for Red HAt 6.0

* Tue Sep 15 1998 Richard Henderson <rth@cygnus.com>
- use aboot.lds for elf, so that the phdr comes out right.
- relax the need to have a compiled kernel installed.
- make sdisklabel take partition sizes in sectors, not kilobytes.

* Thu Aug 20 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- corrected a small but essential error in the ELF patch

* Mon Aug  3 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- added a patch to allow booting of ELF images created with binutils >= 2.9
- compiled against glibc 2.0.94

* Sun May 31 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- made changes needed for glibc2 and 2.1.x kernels

